/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.base.entity.BaseSysmenu;
import com.tofly.base.entity.MySysMenu;

import java.util.List;
import java.util.Map;

/**
 * 
 *
 * @author wangjian
 * @date Mon Jul 06 00:00:00 CST 2020
 */
public interface BaseSysmenuService extends IService<BaseSysmenu> {
    public boolean updateSysmenu(Map<String,String> map);

    public List<MySysMenu> getTreeSys(String sysid,String pathIds);
    public List<MySysMenu> getTreeSys(String sysid);
    public List<MySysMenu> getTreeSys(List<BaseSysmenu> list);
}
